

/* Adapter to libisoburn, libisofs and libburn for xorriso,
   a command line oriented batch and dialog tool which creates, loads,
   manipulates and burns ISO 9660 filesystem images.

   Copyright 2007 Thomas Schmitt, <scdbackup@gmx.net>

   Provided under GPL version 2.

   This file contains the inner isofs- and burn-library interface of xorriso.
*/

#ifndef Xorrisoburn_includeD
#define Xorrisoburn_includeD yes

struct XorrisO;
struct burn_drive;

int Xorriso_startup_libraries(struct XorrisO *xorriso, int flag);

int Xorriso_aquire_drive(struct XorrisO *xorriso, char *adr, int flag);

int Xorriso_give_up_drive(struct XorrisO *xorriso, int flag);

int Xorriso_write_growing(struct XorrisO *xorriso, int flag);

int Xorriso_pacifier_loop(struct XorrisO *xorriso, struct burn_drive *drive,
                          int flag);

/* @return <=0 = error , 1 = added simple node , 2 = added directory
*/
int Xorriso_graft_in(struct XorrisO *xorriso, char *disk_path, char *img_path,
                     int flag);

int Xorriso__text_to_sev(char *severity_name, int *severity_number,int flag);

int Xorriso_toc(struct XorrisO *xorriso, int flag);

int Xorriso_show_devices(struct XorrisO *xorriso, int flag);

int Xorriso_tell_media_space(struct XorrisO *xorriso,
                             int *media_space, int *free_space, int flag);

int Xorriso_blank_media(struct XorrisO *xorriso, int flag);

int Xorriso_format_media(struct XorrisO *xorriso, int flag);

/* @param flag bit0= remove whole sub tree: rm -r
               bit1=remove empty directory: rmdir
   @return   <=0 = error
               1 = removed simple node
               2 = removed directory or subtree
*/
int Xorriso_rmi(struct XorrisO *xorriso, char *path, int flag);

/* @param flag bit0= long format , bit1= only check for directory existence */
int Xorriso_ls(struct XorrisO *xorriso, int flag);

/* @param flag bit0= do not produce problem events (unless internal error) 
               bit1= work purely literally, do not use libisofs
   @return <0 = internal error    , 0 = not found ,
            1 = found simple node , 2 = found directory 
*/
int Xorriso_normalize_img_path(struct XorrisO *xorriso, char *img_path,
                               char eff_path[], int flag);

#endif /* Xorrisoburn_includeD */

